> For the complete documentation index, see [llms.txt](https://docs.eueno.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eueno.io/eueno-libraries/eueno-lib-browser/get-folder-detail.md).

# Get folder detail

Use the method [getFileListByFolder()](/eueno-libraries/eueno-lib-browser/getfileslistbyfolder.md)

## Syntax

The syntax of this method is like the syntax of the method [getFileListByFolder()](/eueno-libraries/eueno-lib-browser/getfileslistbyfolder.md).

## Example

Assuming that we have a path structure like Folder1/Folder2/Folder3 in a project with id 112. The example below shows how to get Folder2 detail.

```javascript
import { getFilesListByFolder } from "@eueno/lib-browser";
const getFolderDetail = async () => {
   const projectId = “112”;
   const path = “Folder1/Folder2”;	
   const res = await getFilesListByFolder(projectId, path);
   console.log(res);
};
```

Response of example:

```javascript
{
    "msg": "success",
    "data": {
        "folders": [
            "Folder3"
        ],
        "files": []
    },
    "options": {
        "totalItem": 1
    }
}
```

The response indicates that Folder2 has totalItem 1 includes: one folder named “Folder3” and no file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eueno.io/eueno-libraries/eueno-lib-browser/get-folder-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
